import { a as ApiError } from './apiBase-648a161d.js';

function unauthorized() {
  const error = new ApiError('network');
  error.status = 401;
  return error;
}
function notFound() {
  const error = new ApiError('network');
  error.status = 404;
  return error;
}
function notImplemented(message = '') {
  const error = new ApiError('network');
  error.status = 501;
  error.statusText = message;
  return error;
}

export { notFound as a, notImplemented as n, unauthorized as u };
